# Secret Scanning Push Protection enabled :wave: :lock:

Hey there!

As you may have seen, I've enabled Secret Scanning Push Protection for you.


The purpose of this issue is:

1) Give you some context as to why Secret Scanning Push Protection is now enabled.
2) Provide you with some links to help you understand what Secret Scanning and GitHub Advanced Security are.

As a company, we have deployed Secret Scanning on all of our repositories. We are now going one step forward, by preventing new secrets from completely reaching our codebase using Secret Scanning Push Protection.

We didn't expect you to have to go and manually turn it on for every single repository, so here's a notice saying that we've done it for you.
We are rolling out Secret Scanning Push Protection per teams, so if you have only got a informative notice for a few of your repositories, not to worry, more will come soon.

We want to make sure **you** are empowered to maintain the security of your repositories. Thus we count on you to properly react when a secret scanning alert is triggered, following the documentation below:


1) [What to do when a secret scanning alert is triggered?](https://malwarebytes.atlassian.net/wiki/spaces/IS/pages/2697920780/How+to+react+to+Secret+Scanner+alerts)
2) [How to remove a secret from a branch blocked by Secret Scanning Push Protection?](https://docs.github.com/en/enterprise-cloud@latest/code-security/secret-scanning/pushing-a-branch-blocked-by-push-protection)
2) [Managing alerts from Secret Scanning](https://docs.github.com/en/enterprise-cloud@latest/code-security/secret-scanning/managing-alerts-from-secret-scanning)


If you need any more assistance, please don't hesitate to contact a member of Application Security team (tag @Malwarebytes/security-appsec in this issue, or `#github-appsec-security` on Slack). We are here to help.

Thanks!

- Application Security Team :)
